Vector BLF: Vector::BLF::AfdxLineStatus Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::AfdxLineStatus Struct Referencefinal

`#include <AfdxLineStatus.h>`

## Public Member Functions
| AfdxLineStatus (const AfdxLineStatus &)=default
AfdxLineStatus & | operator= (const AfdxLineStatus &)=default
| AfdxLineStatus (AfdxLineStatus &&)=default
AfdxLineStatus & | operator= (AfdxLineStatus &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | flags {}
uint8_t | linkStatus {}
uint8_t | ethernetPhy {}
uint8_t | duplex {}
uint8_t | mdi {}
uint8_t | connector {}
uint8_t | clockMode {}
uint8_t | pairs {}
uint8_t | reservedAfdxLineStatus1 {}
uint16_t | reservedAfdxLineStatus2 {}
uint32_t | bitrate {}

## Detailed Description

line A/B information in AfdxStatus class

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::AfdxLineStatus::calculateObjectSize | ( |  | ) | const
| virtual

Calculates the objectSize

Returns
  object size

## ◆ read()

void Vector::BLF::AfdxLineStatus::read | ( | AbstractFile & | is | ) |
| virtual

Read the data of this object

Parameters

  is | input stream

## ◆ write()

void Vector::BLF::AfdxLineStatus::write | ( | AbstractFile & | os | ) |
| virtual

Write the data of this object

Parameters

  os | output stream

## Member Data Documentation

## ◆ bitrate

uint32_t Vector::BLF::AfdxLineStatus::bitrate {}

Bitrate in [kbit/sec]

## ◆ clockMode

uint8_t Vector::BLF::AfdxLineStatus::clockMode {}

Clock Mode

- 0 - Unknown
- 1 - Master
- 2 - Slave

## ◆ connector

uint8_t Vector::BLF::AfdxLineStatus::connector {}

Connector

- 0 - Unknown
- 1 - RJ45
- 2 - D-Sub

## ◆ duplex

uint8_t Vector::BLF::AfdxLineStatus::duplex {}

Duplex

- 0 - Unknown
- 1 - Half Duplex
- 2 - Full Duplex

## ◆ ethernetPhy

uint8_t Vector::BLF::AfdxLineStatus::ethernetPhy {}

Eternet Phy

- 0 - Unknown
- 1 - IEEE 802.3
- 2 - BroadR-Reach

## ◆ flags

uint16_t Vector::BLF::AfdxLineStatus::flags {}

Flags

- Bit 0 - Link Status
- Bit 1 - Bitrate
- Bit 2 - Ethernet Phy
- Bit 3 - Duplex

## ◆ linkStatus

uint8_t Vector::BLF::AfdxLineStatus::linkStatus {}

Link Status

- 0 - Unknown
- 1 - Link down
- 2 - Link up
- 3 - Negotiate
- 4 - Link error

## ◆ mdi

uint8_t Vector::BLF::AfdxLineStatus::mdi {}

MDI

- 0 - Unknown
- 1 - Direct
- 2 - Crossover

## ◆ pairs

uint8_t Vector::BLF::AfdxLineStatus::pairs {}

Pairs

- 0 - Unknown
- 1 - BR 1-pair
- 2 - BR 2-pair
- 3 - BR 4-pair

## ◆ reservedAfdxLineStatus1

uint8_t Vector::BLF::AfdxLineStatus::reservedAfdxLineStatus1 {}

reserved

## ◆ reservedAfdxLineStatus2

uint16_t Vector::BLF::AfdxLineStatus::reservedAfdxLineStatus2 {}

reserved

The documentation for this struct was generated from the following files:

- AfdxLineStatus.h
- AfdxLineStatus.cpp